<?php
/**
 * Footer settings
 * 
 * @package Style Mag
 * @since 1.0.0
 */

add_action( 'customize_register', 'style_mag_upsell_section_register', 10 );
/**
 * Add settings for upsell links
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function style_mag_upsell_section_register( $wp_customize ) {
	require get_template_directory() . '/inc/admin/customizer-upsell/upsell-section/upsell-button.php';
    $wp_customize->register_section_type( 'Style_Mag_Upsell_Button' );

    /**
     * Add Upsell Button
     * 
     */
    $wp_customize->add_section(
		new Style_Mag_Upsell_Button( $wp_customize, 
            'upsell_button', [
                'button_text'   => esc_html__( 'View Premium', 'style-mag' ),
                'button_url'    => esc_url( '//blazethemes.com/theme/style-mag-pro/' ),
                'priority'      => 1
            ]
        )
	);

    /**
     * Add Upsell Button
     * 
     */
    $wp_customize->add_section(
        new Style_Mag_Upsell_Button( $wp_customize, 
            'demo_import_button', array(
                'button_text'   => esc_html__( 'Go to Import', 'style-mag' ),
                'button_url'    => esc_url( admin_url('themes.php?page=style-mag-info.php') ),
                'title'         => esc_html__('Import Demo Data', 'style-mag'),
                'priority'  => 1000,
            )
        )
    );
}

/**
 * Enqueue theme upsell controls scripts
 * 
 */
function style_mag_upsell_scripts() {
    wp_enqueue_style( 'style-mag-upsell', get_template_directory_uri() . '/inc/admin/customizer-upsell/upsell-section/upsell.css', array(), '1.0.0', 'all' );
    wp_enqueue_script( 'style-mag-upsell', get_template_directory_uri() . '/inc/admin/customizer-upsell/upsell-section/upsell.js', array(), '1.0.0', 'all' );
}
add_action( 'customize_controls_enqueue_scripts', 'style_mag_upsell_scripts' );