<?php
/**
 * Category Colors Settings
 * 
 * @package Style Mag
 * @since 1.0.0
 */

add_action( 'customize_register', 'style_mag_customize_category_colors_section_register', 10 );
/**
 * Add settings for category colors section in the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function style_mag_customize_category_colors_section_register( $wp_customize ) {
    /**
     * Category Colors Section
     * 
     * panel - style_mag_theme_panel
     */
    $wp_customize->add_section( 'category_colors_section', array(
        'title' => esc_html__( 'Category Colors', 'style-mag' ),
        'panel' => 'style_mag_theme_panel',
        'priority'  => 7,
    ));

    /**
     * Category Colors
     * 
     */
    $categories = get_categories();
    foreach( $categories as $category ) :
        /**
         * Category Color
         * 
         */
        // $wp_customize->add_setting( 'category_' .esc_attr( $category->slug ), array(
        //     'default' => '#ea2e49',
        //     'sanitize_callback' => 'sanitize_hex_color'
        // ) );
    
        // $wp_customize->add_control( 
        //     new WP_Customize_Color_Control( $wp_customize, 'category_' .esc_attr( $category->slug ), array(
        //         'label'      => esc_html( $category->name ),
        //         'section'    => 'category_colors_section',
        //         'settings'   => 'category_' .esc_attr( $category->slug )
        //     ))
        // );

        /**
         * Category Color
         * 
         */
        $wp_customize->add_setting( 'category_' .esc_attr( $category->slug ),
            array(
            'default'           => '#ea2e49',
            'sanitize_callback' => 'sanitize_text_field',
            )
        );

        // Add the layout control.
        $wp_customize->add_control( new Style_Mag_WP_Radio_Image_Control(
                $wp_customize,
                'category_' .esc_attr( $category->slug ),
                array(
                    'label'    => esc_html( $category->name ),
                    'section'  => 'category_colors_section',
                    'choices'  => array(
                        '#ea2e49' => array(
                            'label' => esc_html__( 'Light Red', 'style-mag' ),
                            'url'   => '%s/images/customizer/category-light-red.png'
                        ),
                        '#ff0000' => array(
                            'label' => esc_html__( 'Red', 'style-mag' ),
                            'url'   => '%s/images/customizer/category-red.png'
                        ),
                        '#0000ff' => array(
                            'label' => esc_html__( 'Blue', 'style-mag' ),
                            'url'   => '%s/images/customizer/category-blue.png'
                        ),
                        '#000000' => array(
                            'label' => esc_html__( 'Black', 'style-mag' ),
                            'url'   => '%s/images/customizer/category-black.png'
                        )
                    ),
                    'active_callback' => 'footer_option_callback'
                )
            )
        );
    endforeach;
}